package wspack;

import toolspack.*;
import toolspack.udppack.IUDPServiceSocket;
import java.util.*;
import java.net.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Stefano Ricciarelli
 * @version 1.0
 */

public class WSConfigurator {

  private static WSConfigurator instance = new WSConfigurator();
  private InetAddress nmsAddress1;
  private int         nmsPort1;
  private InetAddress nmsAddress2;
  private int         nmsPort2;
  private InetAddress myAddress;
  private int         myPort;
  private IUDPServiceSocket udpSocket;
  private int wsid = -1;
  private int udpBaseTimeout;
  private float udpMulTimeout;
  private int udpRetry;
  private int tcpTimeout;

  /**
   * Il costruttore  privato poich si tratta di una classe singleton
   */
  private WSConfigurator() {
  }

  public static WSConfigurator getInstance() {
    return instance;
  }

  public synchronized void swapNMS() {
    InetAddress i = nmsAddress1;
    nmsAddress1   = nmsAddress2;
    nmsAddress2   = i;
    int p    = nmsPort1;
    nmsPort1 = nmsPort2;
    nmsPort2 = p;
    Logger.print(this, "HO SCAMBIATO GLI INDIRIZZI DEI NMS ");
  }

  public synchronized InetAddress getNMSAddress1 () {
    return nmsAddress1;
  }
  public synchronized void setNMSAddress1 (InetAddress nmsAddress) {
    this.nmsAddress1 = nmsAddress;
  }
  public synchronized int getNMSPort1 () {
    return nmsPort1;
  }
  public synchronized void setNMSPort1 (int nmsPort) {
    this.nmsPort1 = nmsPort;
  }
  public synchronized InetAddress getNMSAddress2 () {
    return nmsAddress2;
  }
  public synchronized void setNMSAddress2 (InetAddress nmsAddress2) {
    this.nmsAddress2 = nmsAddress2;
  }
  public synchronized int getNMSPort2 () {
    return nmsPort2;
  }
  public synchronized void setNMSPort2 (int nmsPort2) {
    this.nmsPort2 = nmsPort2;
  }
  public synchronized InetAddress getMyAddress () {
    return myAddress;
  }
  public synchronized void setMyAddress (InetAddress myAddress) {
    this.myAddress = myAddress;
  }
  public synchronized int getMyPort () {
    return myPort;
  }
  public synchronized void setMyPort (int myPort) {
    this.myPort = myPort;
  }
  public synchronized IUDPServiceSocket getUdpSocket () {
    return udpSocket;
  }
  public synchronized void setUdpSocket (IUDPServiceSocket udpSocket) {
    this.udpSocket = udpSocket;
  }
  public synchronized int getWsid () {
    return wsid;
  }
  public synchronized void setWsid (int wsid) {
    this.wsid = wsid;
  }
  public synchronized void setUdpBaseTimeout(int udpBaseTimeout) {
    this.udpBaseTimeout = udpBaseTimeout;
  }
  public synchronized int getUdpBaseTimeout() {
    return udpBaseTimeout;
  }
  public synchronized void setUdpMulTimeout(float udpMulTimeout) {
    this.udpMulTimeout = udpMulTimeout;
  }
  public synchronized float getUdpMulTimeout() {
    return udpMulTimeout;
  }
  public synchronized void setUdpRetry(int udpRetry) {
    this.udpRetry = udpRetry;
  }
  public synchronized int getUdpRetry() {
    return udpRetry;
  }
  public synchronized void setTcpTimeout(int tcpTimeout) {
    this.tcpTimeout = tcpTimeout;
  }
  public synchronized int getTcpTimeout() {
    return tcpTimeout;
  }


}//fine classe

